Bug 312765 - Crop factor is being used as scale factor [patch]
Summary: Crop factor is being used as scale factor [patch]
Status: CLOSED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Plugin-Editor-LensCorrection (show other bugs)
Version: 2.6.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-06 17:37 UTC by Roman I Khimov
Modified: 2016-07-01 09:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments
Patch to fix the problem (1.41 KB, patch)
2013-01-06 17:37 UTC, Roman I Khimov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman I Khimov 2013-01-06 17:37:05 UTC
Subject says it all, patch will be added.

Reproducible: Always
Comment 1 Roman I Khimov 2013-01-06 17:37:28 UTC
Created attachment 76255 [details]
Patch to fix the problem
Comment 2 caulier.gilles 2013-01-07 10:41:44 UTC
Git commit 70cf9beaac9996c219f988d8ae74d75dc253c0ad by Gilles Caulier.
Committed on 07/01/2013 at 11:39.
Pushed by cgilles into branch 'master'.

Apply patch #76255 from Roman I Khimov to don't pass crop factor as scale factor to lensfun.

Sixth parameter to Initialize() is actually a scale factor which has nothing
in common with crop factor. I think it's safe to assume that we want no
scaling from lensfun and thus use the value of one.

Ref: http://lensfun.berlios.de/manual/structlfModifier.html
Related: bug 312764, bug 253941, bug 266204, bug 267613, bug 281783, bug 284708
FIXED-IN: 3.0.0
CCMAIL: roman@khimov.ru

M  +1    -1    libs/dimg/filters/lens/lensfunfilter.cpp

http://commits.kde.org/digikam/70cf9beaac9996c219f988d8ae74d75dc253c0ad
Comment 3 caulier.gilles 2013-01-07 10:46:08 UTC
Roman,

Thanks a lots for your investiguations and patches around digiKam Lensfun interface.

Gilles Caulier
Comment 4 Roman I Khimov 2013-01-07 13:04:45 UTC
Patch applied, thanks, closing.